<html>
<head>
<title>OGRE: Ogre::TimeIndex Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a></div>
<h1>Ogre::TimeIndex Class Reference</h1><!-- doxytag: class="Ogre::TimeIndex" -->Time index object used to search keyframe at the given position.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1TimeIndex-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#dc00e0190b54c72be2185ce650daa7a7">TimeIndex</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct time index object by the given time position.  <a href="#dc00e0190b54c72be2185ce650daa7a7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#c6f0421e5a3c653ce5e5a1a6383e969f">TimeIndex</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos, <a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> keyIndex)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct time index object by the given time position and global keyframe index.  <a href="#c6f0421e5a3c653ce5e5a1a6383e969f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#69db72c39f34b6257d5a456922fc69f8">hasKeyIndex</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#9890d671f480025a787d519e4a922184">getTimePos</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#2a97453fc7d6ce7e25a64de23114f786">getKeyIndex</a> (void) const </td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#cd9dcf5973656fa8c015c2f0dfe1ce51">mTimePos</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The time position (in relation to the whole animation sequence).  <a href="#cd9dcf5973656fa8c015c2f0dfe1ce51"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#6b57e79eff73506c3ec46c9847a86d22">mKeyIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The global keyframe index (in relation to the whole animation sequence) that used to convert to local keyframe index, or INVALID_KEY_INDEX which means global keyframe index unavailable, and then slight slow method will used to search local keyframe index.  <a href="#6b57e79eff73506c3ec46c9847a86d22"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html#6925dd1b6e2a897eb4ddc3d6a56af40d">INVALID_KEY_INDEX</a> = (<a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>)-1</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Indicate it's an invalid global keyframe index.  <a href="#6925dd1b6e2a897eb4ddc3d6a56af40d"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Time index object used to search keyframe at the given position. 
<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00044">44</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="dc00e0190b54c72be2185ce650daa7a7"></a><!-- doxytag: member="Ogre::TimeIndex::TimeIndex" ref="dc00e0190b54c72be2185ce650daa7a7" args="(Real timePos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::TimeIndex::TimeIndex           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>timePos</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct time index object by the given time position. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00064">64</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c6f0421e5a3c653ce5e5a1a6383e969f"></a><!-- doxytag: member="Ogre::TimeIndex::TimeIndex" ref="c6f0421e5a3c653ce5e5a1a6383e969f" args="(Real timePos, uint keyIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::TimeIndex::TimeIndex           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>timePos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td>
          <td class="paramname"> <em>keyIndex</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct time index object by the given time position and global keyframe index. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>In normally, you don't need to use this constructor directly, use <a class="el" href="classOgre_1_1Animation.html#cd9d856cef81a16612c588792fd2b843" title="Internal method used to convert time position to time index object.">Animation::_getTimeIndex</a> instead. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00075">75</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="69db72c39f34b6257d5a456922fc69f8"></a><!-- doxytag: member="Ogre::TimeIndex::hasKeyIndex" ref="69db72c39f34b6257d5a456922fc69f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::TimeIndex::hasKeyIndex           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00081">81</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9890d671f480025a787d519e4a922184"></a><!-- doxytag: member="Ogre::TimeIndex::getTimePos" ref="9890d671f480025a787d519e4a922184" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::TimeIndex::getTimePos           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00086">86</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2a97453fc7d6ce7e25a64de23114f786"></a><!-- doxytag: member="Ogre::TimeIndex::getKeyIndex" ref="2a97453fc7d6ce7e25a64de23114f786" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> Ogre::TimeIndex::getKeyIndex           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00091">91</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="cd9dcf5973656fa8c015c2f0dfe1ce51"></a><!-- doxytag: member="Ogre::TimeIndex::mTimePos" ref="cd9dcf5973656fa8c015c2f0dfe1ce51" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1TimeIndex.html#cd9dcf5973656fa8c015c2f0dfe1ce51">Ogre::TimeIndex::mTimePos</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The time position (in relation to the whole animation sequence). 
<p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00049">49</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6b57e79eff73506c3ec46c9847a86d22"></a><!-- doxytag: member="Ogre::TimeIndex::mKeyIndex" ref="6b57e79eff73506c3ec46c9847a86d22" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1TimeIndex.html#6b57e79eff73506c3ec46c9847a86d22">Ogre::TimeIndex::mKeyIndex</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The global keyframe index (in relation to the whole animation sequence) that used to convert to local keyframe index, or INVALID_KEY_INDEX which means global keyframe index unavailable, and then slight slow method will used to search local keyframe index. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00055">55</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6925dd1b6e2a897eb4ddc3d6a56af40d"></a><!-- doxytag: member="Ogre::TimeIndex::INVALID_KEY_INDEX" ref="6925dd1b6e2a897eb4ddc3d6a56af40d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="classOgre_1_1TimeIndex.html#6925dd1b6e2a897eb4ddc3d6a56af40d">Ogre::TimeIndex::INVALID_KEY_INDEX</a> = (<a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>)-1<code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Indicate it's an invalid global keyframe index. 
<p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h-source.html#l00059">59</a> of file <a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationTrack_8h-source.html">OgreAnimationTrack.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
